/* i-properties-provider.c generated by valac 0.17.4.26-61532, the Vala compiler
 * generated from i-properties-provider.vala, do not modify */

/* This file is part of GNOME Boxes. License: LGPLv2+*/

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <libcommon.h>
#include <float.h>
#include <math.h>
#include <osinfo/osinfo.h>


#define BOXES_TYPE_PROPERTY (boxes_property_get_type ())
#define BOXES_PROPERTY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), BOXES_TYPE_PROPERTY, BoxesProperty))
#define BOXES_PROPERTY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), BOXES_TYPE_PROPERTY, BoxesPropertyClass))
#define BOXES_IS_PROPERTY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BOXES_TYPE_PROPERTY))
#define BOXES_IS_PROPERTY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BOXES_TYPE_PROPERTY))
#define BOXES_PROPERTY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), BOXES_TYPE_PROPERTY, BoxesPropertyClass))

typedef struct _BoxesProperty BoxesProperty;
typedef struct _BoxesPropertyClass BoxesPropertyClass;
typedef struct _BoxesPropertyPrivate BoxesPropertyPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define BOXES_TYPE_IPROPERTIES_PROVIDER (boxes_iproperties_provider_get_type ())
#define BOXES_IPROPERTIES_PROVIDER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), BOXES_TYPE_IPROPERTIES_PROVIDER, BoxesIPropertiesProvider))
#define BOXES_IS_IPROPERTIES_PROVIDER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BOXES_TYPE_IPROPERTIES_PROVIDER))
#define BOXES_IPROPERTIES_PROVIDER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), BOXES_TYPE_IPROPERTIES_PROVIDER, BoxesIPropertiesProviderIface))

typedef struct _BoxesIPropertiesProvider BoxesIPropertiesProvider;
typedef struct _BoxesIPropertiesProviderIface BoxesIPropertiesProviderIface;

#define BOXES_TYPE_PROPERTIES_PAGE (boxes_properties_page_get_type ())

#define BOXES_TYPE_EDITABLE_ENTRY (boxes_editable_entry_get_type ())
#define BOXES_EDITABLE_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), BOXES_TYPE_EDITABLE_ENTRY, BoxesEditableEntry))
#define BOXES_EDITABLE_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), BOXES_TYPE_EDITABLE_ENTRY, BoxesEditableEntryClass))
#define BOXES_IS_EDITABLE_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), BOXES_TYPE_EDITABLE_ENTRY))
#define BOXES_IS_EDITABLE_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), BOXES_TYPE_EDITABLE_ENTRY))
#define BOXES_EDITABLE_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), BOXES_TYPE_EDITABLE_ENTRY, BoxesEditableEntryClass))

typedef struct _BoxesEditableEntry BoxesEditableEntry;
typedef struct _BoxesEditableEntryClass BoxesEditableEntryClass;
typedef struct _Block8Data Block8Data;
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block9Data Block9Data;

struct _BoxesProperty {
	GObject parent_instance;
	BoxesPropertyPrivate * priv;
};

struct _BoxesPropertyClass {
	GObjectClass parent_class;
};

struct _BoxesPropertyPrivate {
	gchar* _description;
	GtkWidget* _widget;
	gboolean _changes_pending;
};

typedef void (*PropertyStringChanged) (BoxesProperty* property, const gchar* value, void* user_data, GError** error);
typedef void (*PropertySizeChanged) (BoxesProperty* property, guint64 value, void* user_data, GError** error);
typedef enum  {
	BOXES_PROPERTIES_PAGE_LOGIN,
	BOXES_PROPERTIES_PAGE_SYSTEM,
	BOXES_PROPERTIES_PAGE_DISPLAY,
	BOXES_PROPERTIES_PAGE_DEVICES,
	BOXES_PROPERTIES_PAGE_LAST
} BoxesPropertiesPage;

struct _BoxesIPropertiesProviderIface {
	GTypeInterface parent_iface;
	GList* (*get_properties) (BoxesIPropertiesProvider* self, BoxesPropertiesPage page);
};

struct _Block8Data {
	int _ref_count_;
	BoxesIPropertiesProvider * self;
	BoxesEditableEntry* entry;
	BoxesProperty* property;
	PropertyStringChanged changed;
	gpointer changed_target;
};

struct _Block9Data {
	int _ref_count_;
	BoxesIPropertiesProvider * self;
	GtkHScale* scale;
	BoxesProperty* property;
	PropertySizeChanged changed;
	gpointer changed_target;
};


static gpointer boxes_property_parent_class = NULL;

GType boxes_property_get_type (void) G_GNUC_CONST;
#define BOXES_PROPERTY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), BOXES_TYPE_PROPERTY, BoxesPropertyPrivate))
enum  {
	BOXES_PROPERTY_DUMMY_PROPERTY,
	BOXES_PROPERTY_DESCRIPTION,
	BOXES_PROPERTY_WIDGET,
	BOXES_PROPERTY_CHANGES_PENDING
};
BoxesProperty* boxes_property_new (const gchar* description, GtkWidget* widget);
BoxesProperty* boxes_property_construct (GType object_type, const gchar* description, GtkWidget* widget);
const gchar* boxes_property_get_description (BoxesProperty* self);
void boxes_property_set_description (BoxesProperty* self, const gchar* value);
GtkWidget* boxes_property_get_widget (BoxesProperty* self);
void boxes_property_set_widget (BoxesProperty* self, GtkWidget* value);
gboolean boxes_property_get_changes_pending (BoxesProperty* self);
void boxes_property_set_changes_pending (BoxesProperty* self, gboolean value);
static void boxes_property_finalize (GObject* obj);
static void _vala_boxes_property_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_boxes_property_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
GType boxes_properties_page_get_type (void) G_GNUC_CONST;
GType boxes_iproperties_provider_get_type (void) G_GNUC_CONST;
GList* boxes_iproperties_provider_get_properties (BoxesIPropertiesProvider* self, BoxesPropertiesPage page);
BoxesProperty* boxes_iproperties_provider_add_property (BoxesIPropertiesProvider* self, GList** list, const gchar* name, GtkWidget* widget);
BoxesProperty* boxes_iproperties_provider_add_string_property (BoxesIPropertiesProvider* self, GList** list, const gchar* name, const gchar* value, PropertyStringChanged changed, void* changed_target);
GType boxes_editable_entry_get_type (void) G_GNUC_CONST;
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
BoxesEditableEntry* boxes_editable_entry_new (void);
BoxesEditableEntry* boxes_editable_entry_construct (GType object_type);
void boxes_editable_entry_set_text (BoxesEditableEntry* self, const gchar* value);
void boxes_editable_entry_set_selectable (BoxesEditableEntry* self, gboolean value);
void boxes_editable_entry_set_editable (BoxesEditableEntry* self, gboolean value);
static void __lambda14_ (Block8Data* _data8_);
const gchar* boxes_editable_entry_get_text (BoxesEditableEntry* self);
void boxes_editable_entry_start_editing (BoxesEditableEntry* self);
static void ___lambda14__boxes_editable_entry_editing_done (BoxesEditableEntry* _sender, gpointer self);
BoxesProperty* boxes_iproperties_provider_add_size_property (BoxesIPropertiesProvider* self, GList** list, const gchar* name, guint64 size, guint64 min, guint64 max, guint64 step, PropertySizeChanged changed, void* changed_target);
static Block9Data* block9_data_ref (Block9Data* _data9_);
static void block9_data_unref (void * _userdata_);
static gchar* __lambda15_ (BoxesIPropertiesProvider* self, GtkScale* scale, gdouble value);
static gchar* ___lambda15__gtk_scale_format_value (GtkScale* _sender, gdouble value, gpointer self);
static void ___lambda16_ (Block9Data* _data9_);
static void ____lambda16__gtk_range_value_changed (GtkRange* _sender, gpointer self);


BoxesProperty* boxes_property_construct (GType object_type, const gchar* description, GtkWidget* widget) {
	BoxesProperty * self = NULL;
	const gchar* _tmp0_;
	GtkWidget* _tmp1_;
#line 9 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (description != NULL, NULL);
#line 9 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (widget != NULL, NULL);
#line 10 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = description;
#line 10 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp1_ = widget;
#line 10 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self = (BoxesProperty*) g_object_new (object_type, "description", _tmp0_, "widget", _tmp1_, NULL);
#line 9 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return self;
#line 166 "i-properties-provider.c"
}


BoxesProperty* boxes_property_new (const gchar* description, GtkWidget* widget) {
#line 9 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return boxes_property_construct (BOXES_TYPE_PROPERTY, description, widget);
#line 173 "i-properties-provider.c"
}


const gchar* boxes_property_get_description (BoxesProperty* self) {
	const gchar* result;
	const gchar* _tmp0_;
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = self->priv->_description;
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	result = _tmp0_;
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 188 "i-properties-provider.c"
}


void boxes_property_set_description (BoxesProperty* self, const gchar* value) {
	const gchar* _tmp0_;
	gchar* _tmp1_;
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_if_fail (self != NULL);
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = value;
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_g_free0 (self->priv->_description);
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self->priv->_description = _tmp1_;
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_notify ((GObject *) self, "description");
#line 207 "i-properties-provider.c"
}


GtkWidget* boxes_property_get_widget (BoxesProperty* self) {
	GtkWidget* result;
	GtkWidget* _tmp0_;
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = self->priv->_widget;
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	result = _tmp0_;
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 222 "i-properties-provider.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return self ? g_object_ref (self) : NULL;
#line 229 "i-properties-provider.c"
}


void boxes_property_set_widget (BoxesProperty* self, GtkWidget* value) {
	GtkWidget* _tmp0_;
	GtkWidget* _tmp1_;
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_if_fail (self != NULL);
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = value;
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_g_object_unref0 (self->priv->_widget);
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self->priv->_widget = _tmp1_;
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_notify ((GObject *) self, "widget");
#line 248 "i-properties-provider.c"
}


gboolean boxes_property_get_changes_pending (BoxesProperty* self) {
	gboolean result;
	gboolean _tmp0_;
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = self->priv->_changes_pending;
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	result = _tmp0_;
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 263 "i-properties-provider.c"
}


void boxes_property_set_changes_pending (BoxesProperty* self, gboolean value) {
	gboolean _tmp0_;
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_if_fail (self != NULL);
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = value;
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self->priv->_changes_pending = _tmp0_;
#line 7 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_notify ((GObject *) self, "changes-pending");
#line 277 "i-properties-provider.c"
}


static void boxes_property_class_init (BoxesPropertyClass * klass) {
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	boxes_property_parent_class = g_type_class_peek_parent (klass);
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_type_class_add_private (klass, sizeof (BoxesPropertyPrivate));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_boxes_property_get_property;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_boxes_property_set_property;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	G_OBJECT_CLASS (klass)->finalize = boxes_property_finalize;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), BOXES_PROPERTY_DESCRIPTION, g_param_spec_string ("description", "description", "description", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), BOXES_PROPERTY_WIDGET, g_param_spec_object ("widget", "widget", "widget", GTK_TYPE_WIDGET, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), BOXES_PROPERTY_CHANGES_PENDING, g_param_spec_boolean ("changes-pending", "changes-pending", "changes-pending", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 298 "i-properties-provider.c"
}


static void boxes_property_instance_init (BoxesProperty * self) {
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self->priv = BOXES_PROPERTY_GET_PRIVATE (self);
#line 305 "i-properties-provider.c"
}


static void boxes_property_finalize (GObject* obj) {
	BoxesProperty * self;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, BOXES_TYPE_PROPERTY, BoxesProperty);
#line 5 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_g_free0 (self->priv->_description);
#line 6 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_g_object_unref0 (self->priv->_widget);
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	G_OBJECT_CLASS (boxes_property_parent_class)->finalize (obj);
#line 319 "i-properties-provider.c"
}


GType boxes_property_get_type (void) {
	static volatile gsize boxes_property_type_id__volatile = 0;
	if (g_once_init_enter (&boxes_property_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (BoxesPropertyClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) boxes_property_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (BoxesProperty), 0, (GInstanceInitFunc) boxes_property_instance_init, NULL };
		GType boxes_property_type_id;
		boxes_property_type_id = g_type_register_static (G_TYPE_OBJECT, "BoxesProperty", &g_define_type_info, 0);
		g_once_init_leave (&boxes_property_type_id__volatile, boxes_property_type_id);
	}
	return boxes_property_type_id__volatile;
}


static void _vala_boxes_property_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	BoxesProperty * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, BOXES_TYPE_PROPERTY, BoxesProperty);
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	switch (property_id) {
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		case BOXES_PROPERTY_DESCRIPTION:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_value_set_string (value, boxes_property_get_description (self));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		case BOXES_PROPERTY_WIDGET:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_value_set_object (value, boxes_property_get_widget (self));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		case BOXES_PROPERTY_CHANGES_PENDING:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_value_set_boolean (value, boxes_property_get_changes_pending (self));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 358 "i-properties-provider.c"
		default:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 364 "i-properties-provider.c"
	}
}


static void _vala_boxes_property_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	BoxesProperty * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, BOXES_TYPE_PROPERTY, BoxesProperty);
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	switch (property_id) {
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		case BOXES_PROPERTY_DESCRIPTION:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		boxes_property_set_description (self, g_value_get_string (value));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		case BOXES_PROPERTY_WIDGET:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		boxes_property_set_widget (self, g_value_get_object (value));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		case BOXES_PROPERTY_CHANGES_PENDING:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		boxes_property_set_changes_pending (self, g_value_get_boolean (value));
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 392 "i-properties-provider.c"
		default:
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 4 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		break;
#line 398 "i-properties-provider.c"
	}
}


GList* boxes_iproperties_provider_get_properties (BoxesIPropertiesProvider* self, BoxesPropertiesPage page) {
#line 18 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 18 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return BOXES_IPROPERTIES_PROVIDER_GET_INTERFACE (self)->get_properties (self, page);
#line 408 "i-properties-provider.c"
}


BoxesProperty* boxes_iproperties_provider_add_property (BoxesIPropertiesProvider* self, GList** list, const gchar* name, GtkWidget* widget) {
	BoxesProperty* result = NULL;
	const gchar* _tmp0_;
	GtkWidget* _tmp1_;
	BoxesProperty* _tmp2_;
	BoxesProperty* property;
	BoxesProperty* _tmp3_;
#line 20 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 20 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (widget != NULL, NULL);
#line 21 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = name;
#line 21 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp1_ = widget;
#line 21 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp2_ = boxes_property_new (_tmp0_, _tmp1_);
#line 21 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	property = _tmp2_;
#line 22 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp3_ = _g_object_ref0 (property);
#line 22 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	*list = g_list_append (*list, _tmp3_);
#line 23 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	result = property;
#line 23 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 439 "i-properties-provider.c"
}


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return _data8_;
#line 448 "i-properties-provider.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 457 "i-properties-provider.c"
		BoxesIPropertiesProvider * self;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		self = _data8_->self;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_object_unref0 (_data8_->property);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_object_unref0 (_data8_->entry);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_object_unref0 (self);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_slice_free (Block8Data, _data8_);
#line 469 "i-properties-provider.c"
	}
}


static void __lambda14_ (Block8Data* _data8_) {
	BoxesIPropertiesProvider * self;
	GError * _inner_error_ = NULL;
#line 37 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self = _data8_->self;
#line 479 "i-properties-provider.c"
	{
		PropertyStringChanged _tmp0_;
		void* _tmp0__target;
		const gchar* _tmp1_;
		const gchar* _tmp2_;
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp0_ = _data8_->changed;
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp0__target = _data8_->changed_target;
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp1_ = boxes_editable_entry_get_text (_data8_->entry);
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp2_ = _tmp1_;
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp0_ (_data8_->property, _tmp2_, _tmp0__target, &_inner_error_);
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		if (_inner_error_ != NULL) {
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			if (g_error_matches (_inner_error_, BOXES_ERROR, BOXES_ERROR_INVALID)) {
#line 499 "i-properties-provider.c"
				goto __catch10_boxes_error_invalid;
			}
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			if (_inner_error_->domain == BOXES_ERROR) {
#line 504 "i-properties-provider.c"
				goto __catch10_boxes_error;
			}
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			g_clear_error (&_inner_error_);
#line 39 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			return;
#line 513 "i-properties-provider.c"
		}
	}
	goto __finally10;
	__catch10_boxes_error_invalid:
	{
		GError* _error_ = NULL;
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_error_ = _inner_error_;
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_inner_error_ = NULL;
#line 41 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		boxes_editable_entry_start_editing (_data8_->entry);
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_error_free0 (_error_);
#line 528 "i-properties-provider.c"
	}
	goto __finally10;
	__catch10_boxes_error:
	{
		GError* _error_ = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_error_ = _inner_error_;
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_inner_error_ = NULL;
#line 43 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp3_ = _error_;
#line 43 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp4_ = _tmp3_->message;
#line 43 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_warning ("i-properties-provider.vala:43: %s", _tmp4_);
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_error_free0 (_error_);
#line 548 "i-properties-provider.c"
	}
	__finally10:
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	if (_inner_error_ != NULL) {
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_clear_error (&_inner_error_);
#line 38 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		return;
#line 559 "i-properties-provider.c"
	}
}


static void ___lambda14__boxes_editable_entry_editing_done (BoxesEditableEntry* _sender, gpointer self) {
#line 37 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	__lambda14_ (self);
#line 567 "i-properties-provider.c"
}


BoxesProperty* boxes_iproperties_provider_add_string_property (BoxesIPropertiesProvider* self, GList** list, const gchar* name, const gchar* value, PropertyStringChanged changed, void* changed_target) {
	BoxesProperty* result = NULL;
	Block8Data* _data8_;
	PropertyStringChanged _tmp0_;
	void* _tmp0__target;
	BoxesEditableEntry* _tmp1_;
	const gchar* _tmp2_;
	PropertyStringChanged _tmp3_;
	void* _tmp3__target;
	const gchar* _tmp4_;
	BoxesProperty* _tmp5_ = NULL;
	BoxesProperty* _tmp6_;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (value != NULL, NULL);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_->_ref_count_ = 1;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_->self = g_object_ref (self);
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = changed;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0__target = changed_target;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_->changed = _tmp0_;
#line 26 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_->changed_target = _tmp0__target;
#line 30 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp1_ = boxes_editable_entry_new ();
#line 30 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_ref_sink (_tmp1_);
#line 30 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_->entry = _tmp1_;
#line 32 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp2_ = value;
#line 32 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	boxes_editable_entry_set_text (_data8_->entry, _tmp2_);
#line 33 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	boxes_editable_entry_set_selectable (_data8_->entry, TRUE);
#line 34 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp3_ = _data8_->changed;
#line 34 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp3__target = _data8_->changed_target;
#line 34 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	boxes_editable_entry_set_editable (_data8_->entry, _tmp3_ != NULL);
#line 36 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp4_ = name;
#line 36 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp5_ = boxes_iproperties_provider_add_property (self, list, _tmp4_, (GtkWidget*) _data8_->entry);
#line 36 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_->property = _tmp5_;
#line 37 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_signal_connect_data (_data8_->entry, "editing-done", (GCallback) ___lambda14__boxes_editable_entry_editing_done, block8_data_ref (_data8_), (GClosureNotify) block8_data_unref, 0);
#line 47 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp6_ = _g_object_ref0 (_data8_->property);
#line 47 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	result = _tmp6_;
#line 47 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	block8_data_unref (_data8_);
#line 47 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data8_ = NULL;
#line 47 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 637 "i-properties-provider.c"
}


static Block9Data* block9_data_ref (Block9Data* _data9_) {
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_atomic_int_inc (&_data9_->_ref_count_);
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return _data9_;
#line 646 "i-properties-provider.c"
}


static void block9_data_unref (void * _userdata_) {
	Block9Data* _data9_;
	_data9_ = (Block9Data*) _userdata_;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	if (g_atomic_int_dec_and_test (&_data9_->_ref_count_)) {
#line 655 "i-properties-provider.c"
		BoxesIPropertiesProvider * self;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		self = _data9_->self;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_object_unref0 (_data9_->property);
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_object_unref0 (_data9_->scale);
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_object_unref0 (self);
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_slice_free (Block9Data, _data9_);
#line 667 "i-properties-provider.c"
	}
}


static gchar* __lambda15_ (BoxesIPropertiesProvider* self, GtkScale* scale, gdouble value) {
	gchar* result = NULL;
	gdouble _tmp0_;
	gchar* _tmp1_ = NULL;
#line 59 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (scale != NULL, NULL);
#line 60 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = value;
#line 60 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp1_ = g_format_size_full (((guint64) _tmp0_) * OSINFO_KIBIBYTES, G_FORMAT_SIZE_IEC_UNITS);
#line 60 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	result = _tmp1_;
#line 60 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 686 "i-properties-provider.c"
}


static gchar* ___lambda15__gtk_scale_format_value (GtkScale* _sender, gdouble value, gpointer self) {
	gchar* result;
	result = __lambda15_ (self, _sender, value);
#line 59 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 695 "i-properties-provider.c"
}


static void ___lambda16_ (Block9Data* _data9_) {
	BoxesIPropertiesProvider * self;
	GError * _inner_error_ = NULL;
#line 69 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	self = _data9_->self;
#line 704 "i-properties-provider.c"
	{
		PropertySizeChanged _tmp0_;
		void* _tmp0__target;
		BoxesProperty* _tmp1_;
		GtkHScale* _tmp2_;
		gdouble _tmp3_ = 0.0;
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp0_ = _data9_->changed;
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp0__target = _data9_->changed_target;
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp1_ = _data9_->property;
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp2_ = _data9_->scale;
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp3_ = gtk_range_get_value ((GtkRange*) _tmp2_);
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp0_ (_tmp1_, (guint64) _tmp3_, _tmp0__target, &_inner_error_);
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		if (_inner_error_ != NULL) {
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			if (_inner_error_->domain == BOXES_ERROR) {
#line 727 "i-properties-provider.c"
				goto __catch11_boxes_error;
			}
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			g_clear_error (&_inner_error_);
#line 71 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
			return;
#line 736 "i-properties-provider.c"
		}
	}
	goto __finally11;
	__catch11_boxes_error:
	{
		GError* _error_ = NULL;
		GError* _tmp4_;
		const gchar* _tmp5_;
#line 70 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_error_ = _inner_error_;
#line 70 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_inner_error_ = NULL;
#line 73 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp4_ = _error_;
#line 73 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp5_ = _tmp4_->message;
#line 73 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_warning ("i-properties-provider.vala:73: %s", _tmp5_);
#line 70 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_g_error_free0 (_error_);
#line 757 "i-properties-provider.c"
	}
	__finally11:
#line 70 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	if (_inner_error_ != NULL) {
#line 70 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 70 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_clear_error (&_inner_error_);
#line 70 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		return;
#line 768 "i-properties-provider.c"
	}
}


static void ____lambda16__gtk_range_value_changed (GtkRange* _sender, gpointer self) {
#line 69 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	___lambda16_ (self);
#line 776 "i-properties-provider.c"
}


BoxesProperty* boxes_iproperties_provider_add_size_property (BoxesIPropertiesProvider* self, GList** list, const gchar* name, guint64 size, guint64 min, guint64 max, guint64 step, PropertySizeChanged changed, void* changed_target) {
	BoxesProperty* result = NULL;
	Block9Data* _data9_;
	PropertySizeChanged _tmp0_;
	void* _tmp0__target;
	guint64 _tmp1_;
	guint64 _tmp2_;
	guint64 _tmp3_;
	GtkHScale* _tmp4_;
	GtkHScale* _tmp5_;
	GtkHScale* _tmp6_;
	guint64 _tmp7_;
	GtkHScale* _tmp8_;
	GtkHScale* _tmp9_;
	const gchar* _tmp10_;
	GtkHScale* _tmp11_;
	BoxesProperty* _tmp12_ = NULL;
	PropertySizeChanged _tmp13_;
	void* _tmp13__target;
	BoxesProperty* _tmp15_;
	BoxesProperty* _tmp16_;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_ = g_slice_new0 (Block9Data);
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_->_ref_count_ = 1;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_->self = g_object_ref (self);
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0_ = changed;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp0__target = changed_target;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_->changed = _tmp0_;
#line 50 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_->changed_target = _tmp0__target;
#line 57 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp1_ = min;
#line 57 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp2_ = max;
#line 57 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp3_ = step;
#line 57 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp4_ = (GtkHScale*) gtk_hscale_new_with_range ((gdouble) _tmp1_, (gdouble) _tmp2_, (gdouble) _tmp3_);
#line 57 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_object_ref_sink (_tmp4_);
#line 57 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_->scale = _tmp4_;
#line 59 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp5_ = _data9_->scale;
#line 59 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	g_signal_connect_object ((GtkScale*) _tmp5_, "format-value", (GCallback) ___lambda15__gtk_scale_format_value, self, 0);
#line 63 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp6_ = _data9_->scale;
#line 63 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp7_ = size;
#line 63 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	gtk_range_set_value ((GtkRange*) _tmp6_, (gdouble) _tmp7_);
#line 64 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp8_ = _data9_->scale;
#line 64 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp8_, TRUE);
#line 65 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp9_ = _data9_->scale;
#line 65 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp9_, 20);
#line 67 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp10_ = name;
#line 67 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp11_ = _data9_->scale;
#line 67 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp12_ = boxes_iproperties_provider_add_property (self, list, _tmp10_, (GtkWidget*) _tmp11_);
#line 67 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_->property = _tmp12_;
#line 68 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp13_ = _data9_->changed;
#line 68 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp13__target = _data9_->changed_target;
#line 68 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	if (_tmp13_ != NULL) {
#line 861 "i-properties-provider.c"
		GtkHScale* _tmp14_;
#line 69 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		_tmp14_ = _data9_->scale;
#line 69 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		g_signal_connect_data ((GtkRange*) _tmp14_, "value-changed", (GCallback) ____lambda16__gtk_range_value_changed, block9_data_ref (_data9_), (GClosureNotify) block9_data_unref, 0);
#line 867 "i-properties-provider.c"
	}
#line 77 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp15_ = _data9_->property;
#line 77 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_tmp16_ = _g_object_ref0 (_tmp15_);
#line 77 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	result = _tmp16_;
#line 77 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	block9_data_unref (_data9_);
#line 77 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	_data9_ = NULL;
#line 77 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	return result;
#line 881 "i-properties-provider.c"
}


static void boxes_iproperties_provider_base_init (BoxesIPropertiesProviderIface * iface) {
#line 17 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	static gboolean initialized = FALSE;
#line 17 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
	if (!initialized) {
#line 17 "/extra-data/checkout/gnome/gnome-boxes/src/i-properties-provider.vala"
		initialized = TRUE;
#line 892 "i-properties-provider.c"
	}
}


GType boxes_iproperties_provider_get_type (void) {
	static volatile gsize boxes_iproperties_provider_type_id__volatile = 0;
	if (g_once_init_enter (&boxes_iproperties_provider_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (BoxesIPropertiesProviderIface), (GBaseInitFunc) boxes_iproperties_provider_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType boxes_iproperties_provider_type_id;
		boxes_iproperties_provider_type_id = g_type_register_static (G_TYPE_INTERFACE, "BoxesIPropertiesProvider", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (boxes_iproperties_provider_type_id, G_TYPE_OBJECT);
		g_once_init_leave (&boxes_iproperties_provider_type_id__volatile, boxes_iproperties_provider_type_id);
	}
	return boxes_iproperties_provider_type_id__volatile;
}



